Skip to content

Contact linking, content retention, delivery alerts and template defaults

GET
/api/v1/workspaces/{workspace}/transactional/settings
curl --request GET \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/transactional/settings \
--header 'Authorization: Bearer <token>'

Permission: transactional:view

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

OK

Media typeapplication/json
object
alertBounceRate
required

Percent of a template’s messages in an hour

number format: double
alertFailed
required

Failed messages in an hour

integer format: int64
alertMedianSeconds
required

Median delivery time over an hour

integer format: int64
canEdit
required
boolean
contentRetentionDays
required
integer format: int64
<= 90
defaultReplyTo
required
string
defaultSender
object
email
required
string
id
required
string
name
required
string
defaultTrackClicks
required
boolean
defaultTrackOpens
required
boolean
linkContacts
required

Link recipients who match a contact to that contact (never creates contacts)

boolean
productName
required
string
reason
string
senders
required
Array<object>
object
domain
required
string
email
required
string
id
required
string
name
required
string
replyTo
required
string
verified
required
boolean
updatedAt
string format: date-time
updatedBy
string

Example generated

{
"alertBounceRate": 1,
"alertFailed": 1,
"alertMedianSeconds": 1,
"canEdit": true,
"contentRetentionDays": 1,
"defaultReplyTo": "example",
"defaultSender": {
"email": "example",
"id": "example",
"name": "example"
},
"defaultTrackClicks": true,
"defaultTrackOpens": true,
"linkContacts": true,
"productName": "example",
"reason": "example",
"senders": [
{
"domain": "example",
"email": "example",
"id": "example",
"name": "example",
"replyTo": "example",
"verified": true
}
],
"updatedAt": "2026-04-15T12:00:00Z",
"updatedBy": "example"
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}